CVE-2003-0774

NameCVE-2003-0774
Descriptionsaned in sane-backends 1.0.7 and earlier does not quickly handle connection drops, which allows remote attackers to cause a denial of service (segmentation fault) when invalid memory is accessed.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-379
NVD severityhigh

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
sane-backends (PTS)stretch1.0.25-4.1fixed
bullseye, sid, buster1.0.27-3.2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
sane-backendssourcewoody1.0.7-4DSA-379
sane-backendssource(unstable)1.0.11-1

Search for package or bug name: Reporting problems